<script setup>
import HelloWorld from './components/HelloWorld.vue'
import TheWelcome from './components/TheWelcome.vue'
import {ref} from 'vue'
import ClickCounter from "@/components/ClickCounter.vue"

const name = ref('Max Mustermann')

function changeName() {
  console.log(name.value)
  name.value="Steff"
}

const firstName = ref('')
const lastName = ref('')
const gender = ref('')
function logPerson() {
  console.log(firstName.value + ' ' + lastName.value + ' is ' + gender.value)
}
const entries = ref(['First', 'Second', 'Third'])
function removeItem(index) {
  entries.value.splice(index, 1)
}
</script>

<template>
  <form @submit.prevent="logPerson">
    <input type="text" name="firstName" v-model="firstName" required/>
    <input type="text" name="lastName" v-model="lastName" required/>
    <select v-model="gender" required>
      <option value="">Bitte wählen</option>
      <option value="male">Männlich</option>
      <option value="female">Weiblich</option>
      <option value="diverse">Divers</option>
    </select>
    <button type="submit">Submit</button>
  </form>
  <div style="display: flex; gap: 40px;">
    <ClickCounter/>
    <ClickCounter/>
  </div>
  <div>
    <strong>Dein Name lautet:</strong> {{name}}
    <p><button type="button" @click="changeName"> Change name
    </button></p>
  </div>
  <ul>
    <li v-for="(entry, index) in entries">
      {{entry}}
      <button type="button" @click="removeItem(index)">Delete</button>
    </li>
  </ul>
</template>


<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }
}
</style>
